Page 1 of 2 12 LastLast
Results 1 to 10 of 20

Thread: Cannot get the new Adobe Flash 29.0.0.140 to work in Chromium

  1. #1

    Default Cannot get the new Adobe Flash 29.0.0.140 to work in Chromium

    Hi everyone,


    I signed up for some online courses and I need Flash in order to watch the lectures. I was very surprised to learn that Adobe finally updated Flash for Linux, but I can’t get it working.

    *** My System ***
    openSUSE 42.3, 64 bits, GNOME, Chromium browser, Adobe Flash version 29.0.0.140

    *** How I installed Adobe Flash ***
    I went to https://get.adobe.com/flashplayer/ The website automatically detects everything, so I downloaded the correct 64-bit, PPAPI version for Chromium (version number 29.0.0.140). After the download was complete, I installed the RPM file using the Terminal (zypper install flash-player-ppapi-29.0.0.140-release.x86_64.rpm).

    *** Flash does not work in Chromium ***
    After I installed Flash and restarted my computer, I tried to play a Flash video in Chromium, but it didn’t work. I then typed “Chrome://flash” into the address/search bar and it says “Flash plugin: Not installed”.

    *** What I did to try to fix the problem ***
    When Flash is installed it puts files in the following areas: /usr/lib/adobe-flashplugin and /usr/lib64/flash-plugin. I noticed there is a folder for Chromium plugins (/usr/lib64/chromium/plugins), but there was nothing for Flash in it, so, using the Terminal and the “cp” command, I copied the file libpepflashplayer.so to the Chromium plugins folder. I was very excited thinking I had solved the problem, but when I opened Chromium again, Flash still didn’t work and it sill says it’s not installed.

    Any help would be much appreciated. I am aware that I could download and install Chrome (which comes with Flash built-in), but I prefer not to do that unless I have no other choice.

  2. #2
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,673
    Blog Entries
    3

    Default Re: Cannot get the new Adobe Flash 29.0.0.140 to work in Chromium

    Flash in chromium seems to be working here.

    I installed "flash-player-ppapi" from the packman repo, currently at 20.0.0.140-1.1. As far as I know, it is the same as you get from Adobe, just repackaged for opensuse users.

    When I tested a few minutes ago (before starting this reply), I was prompted to allow flash for that page. So apparently the defaults are to always ask before using. I tested with "http://www.uclick.com/client/isn/sudoc/" (a sudoku daily puzzle).
    openSUSE Leap 15.3; KDE Plasma 5.18.6;

  3. #3
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,673
    Blog Entries
    3

    Default Re: Cannot get the new Adobe Flash 29.0.0.140 to work in Chromium

    Looking at the file list for the installed flash, I see (among others)
    /usr/lib64/chromium/PepperFlash/libpepflashplayer.so
    openSUSE Leap 15.3; KDE Plasma 5.18.6;

  4. #4

    Default Re: Cannot get the new Adobe Flash 29.0.0.140 to work in Chromium

    Quote Originally Posted by nrickert View Post
    I installed "flash-player-ppapi" from the packman repo, currently at 20.0.0.140-1.1. As far as I know, it is the same as you get from Adobe, just repackaged for opensuse users.
    Indeed, and I would personally recommend to use this one from Packman.

    Although, I suppose you made a typing mistake here, the current version should be 29.0.0.140-1.1... ;-)
    Last edited by wolfi323; 02-May-2018 at 09:58.

  5. #5
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,673
    Blog Entries
    3

    Default Re: Cannot get the new Adobe Flash 29.0.0.140 to work in Chromium

    Quote Originally Posted by wolfi323 View Post
    Although, I suppose you made a typing mistake here, the current version should be 29.0.0.140-1.1... ;-)
    Yes, you are right. That was a typo.
    openSUSE Leap 15.3; KDE Plasma 5.18.6;

  6. #6
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Cannot get the new Adobe Flash 29.0.0.140 to work in Chromium

    both npapi and ppapi flash work for me under firefox and vivaldi but as wolfi323 said get it from packman if you have the packman repo just do
    Code:
    zypper in flash-player-ppapi
    you should remove the adobe rpm first
    but are you sure it's a flash issue it could be a restricted codecs issue as a lot of sites now use html5 for media and by default opensuse comes with restricted codecs to get multimedia working in browsers (both chromium and firefox) you need to add the packman repo and do a full vendor change to it if not the system ffmpeg (which browsers use) just can't handle h264 video
    to add packman and do a full vendor change to it do
    Code:
    zypper ar -f ftp://packman.inode.at/suse/openSUSE_Leap_42.3/ packman
    zypper dup --from packman

  7. #7

    Default Re: Cannot get the new Adobe Flash 29.0.0.140 to work in Chromium

    Quote Originally Posted by nrickert View Post
    Looking at the file list for the installed flash, I see (among others)
    /usr/lib64/chromium/PepperFlash/libpepflashplayer.so
    When I installed the RPM file from the Adobe website, it didn't create the "PepperFlash" folder and put the "libpepflashplayer.so" file in it (and I'm assuming the Pacman installation put the manifest.json file in that folder as well). I created a folder called "PepperFlash" and copied and pasted those two files in there. When I type "chrome://flash" into the address/search bar in Chromium, it says that Flash is installed, but it still won't play videos—odd. So it seems like the RPM file from the Adobe website doesn't put the files in all the correct places (at least in openSUSE). Three "Global Moderators" have endorsed installing Flash from the Pacman repo, so I'll check that out. Thanks for your responses, guys.

  8. #8
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,673
    Blog Entries
    3

    Default Re: Cannot get the new Adobe Flash 29.0.0.140 to work in Chromium

    Quote Originally Posted by 0rangutan911 View Post
    When I type "chrome://flash" into the address/search bar in Chromium, it says that Flash is installed, but it still won't play videos—odd.
    Many videos are using html5 rather than flash. And those should play in chromium, but they might need other libraries and codecs to be installed.

    I'll note that I have "chromium-ffmpeg-extra" and "chromium-plugin-widevinecm" installed.
    openSUSE Leap 15.3; KDE Plasma 5.18.6;

  9. #9

    Default Re: Cannot get the new Adobe Flash 29.0.0.140 to work in Chromium

    Quote Originally Posted by nrickert View Post
    I'll note that I have "chromium-ffmpeg-extra" and "chromium-plugin-widevinecm" installed.
    AFAIK, Chromium uses the system's ffmpeg meanwhile.

    So it is important to do a full switch to Packman to replace openSUSE's limited ffmpeg/libav* with the full-blown versions from Packman.
    As explained here e.g.:
    http://opensuse-guide.org/codecs.php
    (note that you do not need to use the 1-click install if you already added the Packman repo, just do the switch)

    chromium-ffmpeg-extra should not be needed anymore for Chromium I think, it is used by Vivaldi though (which is a proprietary browser from the original Opera authors, based on Chromium).
    Although it might be worth trying to install it if the above doesn't help.

  10. #10
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,673
    Blog Entries
    3

    Default Re: Cannot get the new Adobe Flash 29.0.0.140 to work in Chromium

    Installing "chromium-ffmpeg-extra" was what allowed me to play Twitter videos.
    openSUSE Leap 15.3; KDE Plasma 5.18.6;

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •